#ifndef DEPLACEMENT
#define DEPLACEMENT

void init_deplacements(void){
    DDRH |= STEP_GAUCHE | DIR_GAUCHE;
    DDRB |= STEP_DROIT | DIR_DROIT;
}

uint16_t* deplacement_commande_suivante(uint16_t num){
    return {deltaL[num], delaiL[num], deltaR[num], delaiR[num]};
}

void deplacement_moteur_gauche(uint16_t delta, uint16_t delai){ deplacement_moteur(GAUCHE, delta, delai); }
void deplacement_moteur_droit(uint16_t delta, uint16_t delai){ deplacement_moteur(DROIT, delta, delai); }
static void deplacement_moteur(uint8_t mot, uint16_t delta, uint16_t delai){
    for(uint16_t i=0; i<delta; i++){
        if (mot == GAUCHE)
            PORTH |= STEP_GAUCHE;
        else if (mot == DROIT)
            PORTB |= STEP_DROIT;
        _delay_ms(delai);
        if (mot == GAUCHE)
            PORTH &= ~STEP_GAUCHE;
        else if (mot == DROIT)
            PORTB &= ~STEP_DROIT;
        _delay_ms(delai);
    }
}

#endif